## kdepim 4.8.2

=== debian/changelog ===
kdepim (4:4.8.2-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:01 +0100

kdepim (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Apr 2012 16:54:56 +0200

kdepim (4:4.8.1a-0ubuntu1) precise; urgency=low

  * New upstream release 
    - add kmail troubleshooting docbook to kdepim-doc.install
    - add kmail ontology files to kmail.install

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 19:11:16 +0100

kdepim (4:4.8.0a-0ubuntu2) precise; urgency=low

  * Don't use -Wl,-Bsymbolic-functions in LDFLAGS to work around
    kde bug 283479 (LP: #864975)
  * Add libprison-dev to build-depends

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 25 Feb 2012 18:32:57 +0100

kdepim (4:4.8.0a-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 19 Jan 2012 19:19:34 +0100

kdepim (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate
  * Remove kdepim-groupware, and kdepim-wizards files no longer made

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:20 +0000

kdepim (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate
  * Add tasks-icons package, move the todo list icons from tasks-mobile there
    and make kontact depend on tasks-icons (LP: #830447)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 18:18:44 +0100

kdepim (4:4.7.90-0ubuntu1) precise; urgency=low

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Dec 2011 14:17:51 +0000

kdepim (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream bugfix release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Mon, 31 Oct 2011 13:16:49 +0100
