=== debian/changelog ===
kdepim (4:4.8.4a-0ubuntu0.3) precise-security; urgency=high

  * SECURITY UPDATE: Disable JavaScript, Java, and Plugins by default in
    kmail/kontact messageviewer's quote colorer (LP: #1022690)
    - Upstream Git dbb2f72f4745e00f53031965a9c10b2d6862bd54
    - CVE-2012-3413

 -- Scott Kitterman <scott@kitterman.com>  Wed, 18 Jul 2012 09:08:14 -0400

kdepim (4:4.8.4a-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:36:52 +0200

kdepim (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 11:05:13 +0200
