## kdepim 4.8.5

=== debian/changelog ===
kdepim (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)
    - Drop debian/patches/htmlquotecolorer_security.diff, originally from
      upstream

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:48:55 +0200
