## kdepim 4.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 # where to look first for cmake modules. This line must be the first one or cmake will use the system's FindFoo.cmake
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
-
 
 ############### Build Options ###############
 
@@ -10,7 +9,7 @@
 option(KDEPIM_BUILD_MOBILE "Build the mobile applications. Note that you have to enable KDEPIM_MOBILE_UI if you want to run these applications on a mobile device." TRUE)
 option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)
 option(KDEPIM_MOBILE_UI "Build UI for mobile devices instead of for desktops" FALSE)
-option(KDEPIM_ONLY_KLEO "Only build Kleopatra. This option will disable KDEPIM_BUILD_EVERYTHING and KDEPIM_ENTERPRISE_BUILD." FALSE)
+option(KDEPIM_ONLY_KLEO "Only build Kleopatra. This option will build only libkleo and kleopatra" FALSE)
 option(KDEPIM_BUILD_STATIC "Build KDEPIM static." FALSE)
 option(KDEPIM_BUILD_DESKTOP "Build Desktop Applications. Can be deactivated for mobile" TRUE)
 option(KDEPIM_NO_NEPOMUK "Build the mail libraries and applications without nepomuk dependency" FALSE)
@@ -41,24 +40,16 @@
     add_definitions(-DKDEPIM_STATIC_LIBS)
 endif()
 
-
-# Default
-set(KDEPIM_BUILD_EVERYTHING TRUE)
-
-# if KDEPIM_ENTERPRISE_BUILD is defined, KDEPIM_ONLY_KLEO is disabled
 if(KDEPIM_ENTERPRISE_BUILD)
-  set(KDEPIM_ONLY_KLEO FALSE)
-  set(KDEPIM_BUILD_EVERYTHING FALSE)
   message(STATUS "Enterprise build is enabled.")
-else()
-  # if KDEPIM_ONLY_KLEO is defined, KDEPIM_BUILD_EVERYTHING, KDEPIM_BUILD_MOBILE and KDEPIM_MOBILE_UI are disabled.
-  if(KDEPIM_ONLY_KLEO)
-    set(KDEPIM_BUILD_EVERYTHING FALSE)
-    set(KDEPIM_BUILD_MOBILE FALSE)
-    set(KDEPIM_MOBILE_UI FALSE)
-    set(KDEPIM_DEFINITIONS "-DHAVE_CONFIG_H=1")
-    message(STATUS "Only libkleo and Kleopatra will be built.")
-  endif()
+endif()
+
+# if KDEPIM_ONLY_KLEO is defined, KDEPIM_BUILD_MOBILE and KDEPIM_MOBILE_UI are disabled.
+if(KDEPIM_ONLY_KLEO)
+ set(KDEPIM_BUILD_MOBILE FALSE)
+ set(KDEPIM_MOBILE_UI FALSE)
+ set(KDEPIM_DEFINITIONS "-DHAVE_CONFIG_H=1")
+ message(STATUS "Only libkleo and Kleopatra will be built.")
 endif()
 
 if(KDEPIM_MOBILE_UI)
@@ -117,14 +108,14 @@
 #    3.2 alpha1
 
 # Do NOT add quote
-# set(KDEPIM_DEV_VERSION rc2)
+set(KDEPIM_DEV_VERSION )
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
-  set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
-endif()
-
-set(KDEPIM_VERSION "4.8.4")
+  set(KDEPIM_DEV_VERSION )
+endif()
+
+set(KDEPIM_VERSION "4.9.2")
 
 configure_file(kdepim-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdepim-version.h @ONLY)
 
@@ -140,7 +131,7 @@
 include(MacroLibrary)
 include(CheckIncludeFiles)
 include(MacroBoolTo01)
-find_package(KdepimLibs 4.8.4 REQUIRED)
+find_package(KdepimLibs 4.9.2 REQUIRED)
 
 ############### Load the CTest options ###############
 
@@ -158,7 +149,6 @@
 # in the KDE build system, this is the same as CMAKE_BINARY_DIR.
 configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake)
 
-
 ############### search Boost ###############
 
 find_package(Boost 1.34.0)
@@ -167,7 +157,6 @@
 # Kleopatra needs to know if the topological.hpp header exists (part of Boost_graph).
 find_path(Boost_TOPOLOGICAL_SORT_DIR NAMES boost/graph/topological_sort.hpp PATHS ${Boost_INCLUDE_DIRS})
 macro_log_feature(Boost_TOPOLOGICAL_SORT_DIR "The Boost Topological_sort header" "topological_sort.hpp (part of Boost_graph)" "http://www.boost.org/" FALSE "" "Necessary to build kleopatra")
-
 
 ############### Windows specific ###############
 
@@ -183,7 +172,6 @@
     set (KDE4_ICON_DIR  ${CMAKE_INSTALL_PREFIX}/share/icons)
 endif()
 
-
 ############### ONLY_KLEO ###############
 
 # The KDEPIM_ONLY_KLEO option is true
@@ -197,14 +185,13 @@
 
   add_subdirectory(libkleo)
   if(Boost_TOPOLOGICAL_SORT_DIR)
-    macro_optional_add_subdirectory(kleopatra)
-  endif()
-
+    add_subdirectory(kleopatra)
+  endif()
 else()
 
 # Otherwise...
 ############### Find the stuff we need ###############
-  set(AKONADI_MIN_VERSION 1.4.91)
+  set(AKONADI_MIN_VERSION 1.8.0)
   find_package(Akonadi QUIET NO_MODULE ${AKONADI_MIN_VERSION})
   macro_log_feature(Akonadi_FOUND "Akonadi" "Akonadi server libraries" "http://pim.kde.org/akonadi" TRUE "${AKONADI_MIN_VERSION}" "Akonadi is required to build KDEPIM")
 
@@ -217,7 +204,7 @@
   find_package(QGpgme)
   macro_log_feature(QGPGME_FOUND "QGpgME" "The QGpgME library" "http://www.kde.org" FALSE "" "QGpgME is required to build KMail, KOrganizer and Kleopatra")
 
-  set(SDO_MIN_VERSION 0.6.51)
+  set(SDO_MIN_VERSION 0.10)
   set(SOPRANO_MIN_VERSION 2.3.70)
 
   find_package(SharedDesktopOntologies ${SDO_MIN_VERSION})
@@ -228,70 +215,69 @@
   include(SopranoAddOntology)
 
   find_package(Grantlee QUIET NO_MODULE)
-  macro_log_feature(Grantlee_FOUND "Grantlee" "The Grantlee Template System" "http://www.grantlee.org" FALSE "" "Templating and theming for KJots and KaddressBook." )
-
-if(NOT KDEPIM_NO_NEPOMUK)
-  find_package(Nepomuk)
-  macro_log_feature(Nepomuk_FOUND "Nepomuk" "The Nepomuk libraries" "http://www.kde.org" TRUE "" "Nepomuk extends the search and tagging functionalities in KMail and Akonadi")
-endif()
-  
+  macro_log_feature(Grantlee_FOUND "Grantlee" "The Grantlee Template System" "http://www.gitorious.org/grantlee/pages/Home" FALSE "" "Templating and theming for KJots and KaddressBook." )
+
+  if(NOT KDEPIM_NO_NEPOMUK)
+    find_package(Nepomuk)
+    macro_log_feature(Nepomuk_FOUND "Nepomuk" "The Nepomuk libraries" "http://www.kde.org" TRUE "" "Nepomuk extends the search and tagging functionalities in KMail and Akonadi")
+  endif()
+
   find_package(LibXslt)
   macro_log_feature(XSLTPROC_EXECUTABLE "xsltproc" "The command line XSLT processor from libxslt" "http://xmlsoft.org/XSLT/" TRUE "" "Required to generate the D-Bus interfaces.")
 
 ############### Desktop vs. Mobile options ##############
 
-if(KDEPIM_MOBILE_UI)
-  macro_log_feature(QT_QTDECLARATIVE_FOUND "QtDeclarative" "Qt Declarative (QML) module" "http://qt.nokia.com" TRUE "4.7" "Required for building mobile UI")
-  add_definitions( -DKDEPIM_MOBILE_UI )
-else()
-  macro_log_feature(QT_QTDECLARATIVE_FOUND "QtDeclarative" "Qt Declarative (QML) module" "http://qt.nokia.com" FALSE "4.7" "Required for building the mobile applications")
-  if(NOT QT_QTDECLARATIVE_FOUND)
-    message(STATUS "The Qt Declarative (QML) module was not found. The mobile applications will not be built.")
-    set(KDEPIM_BUILD_MOBILE FALSE)
-  endif()
-endif()
+  if(KDEPIM_MOBILE_UI)
+    macro_log_feature(QT_QTDECLARATIVE_FOUND "QtDeclarative" "Qt Declarative (QML) module" "http://qt.nokia.com" TRUE "4.7" "Required for building mobile UI")
+    add_definitions( -DKDEPIM_MOBILE_UI )
+  else()
+    macro_log_feature(QT_QTDECLARATIVE_FOUND "QtDeclarative" "Qt Declarative (QML) module" "http://qt.nokia.com" FALSE "4.7" "Required for building the mobile applications")
+    if(NOT QT_QTDECLARATIVE_FOUND)
+      message(STATUS "The Qt Declarative (QML) module was not found. The mobile applications will not be built.")
+      set(KDEPIM_BUILD_MOBILE FALSE)
+    endif()
+  endif()
 
 ############### Needed commands before building anything ###############
 
-add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} ${KDEPIM_DEFINITIONS} ${AKONADI_DEFINITIONS})
-
-include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDEPIMLIBS_INCLUDE_DIRS} ${KDE4_INCLUDES} ${QT_QTDBUS_INCLUDE_DIR} ${Boost_INCLUDE_DIR})
-
-if(NOT KDEPIMLIBS_KRESOURCES_LIBRARY)
-  add_definitions( -DKDEPIM_NO_KRESOURCES )
-endif()
+  add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} ${KDEPIM_DEFINITIONS} ${AKONADI_DEFINITIONS})
+
+  include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDEPIMLIBS_INCLUDE_DIRS} ${KDE4_INCLUDES} ${QT_QTDBUS_INCLUDE_DIR} ${Boost_INCLUDE_DIR})
+
+  if(NOT KDEPIMLIBS_KRESOURCES_LIBRARY)
+    add_definitions( -DKDEPIM_NO_KRESOURCES )
+  endif()
 
 ############### Macros ###############
 
-# generates a D-Bus interface description from a KConfigXT file
-macro(kcfg_generate_dbus_interface _kcfg _name)
-  add_custom_command(
-    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
-    COMMAND ${XSLTPROC_EXECUTABLE} --stringparam interfaceName ${_name}
-    ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
-    ${_kcfg}
-    > ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
-    DEPENDS ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
-    ${_kcfg}
-    )
-endmacro(kcfg_generate_dbus_interface)
-
+  # generates a D-Bus interface description from a KConfigXT file
+  macro(kcfg_generate_dbus_interface _kcfg _name)
+    add_custom_command(
+      OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
+      COMMAND ${XSLTPROC_EXECUTABLE} --stringparam interfaceName ${_name}
+      ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
+      ${_kcfg}
+      > ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
+      DEPENDS ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
+      ${_kcfg}
+      )
+  endmacro(kcfg_generate_dbus_interface)
 
 ############### Code used in several places ###############
 # TODO Remove from the top CMakeLists.
 
+# used in knotes, kontact/plugins/knotes, wizard
+  set(libknotesresources_SRCS
+    ${CMAKE_SOURCE_DIR}/knotes/resourcemanager.cpp
+    ${CMAKE_SOURCE_DIR}/knotes/resourcenotes.cpp
+    ${CMAKE_SOURCE_DIR}/knotes/resourcelocal.cpp
+    ${CMAKE_SOURCE_DIR}/knotes/resourcelocalconfig.cpp
+  )
+
 # used in knotes, kontact/plugins/knotes
-set(libknotesresources_SRCS
-  ${CMAKE_SOURCE_DIR}/knotes/resourcemanager.cpp
-  ${CMAKE_SOURCE_DIR}/knotes/resourcenotes.cpp
-  ${CMAKE_SOURCE_DIR}/knotes/resourcelocal.cpp
-  ${CMAKE_SOURCE_DIR}/knotes/resourcelocalconfig.cpp
-)
-
-# used in knotes, kontact/plugins/knotes
-set(libknoteseditor_SRCS
-  ${CMAKE_SOURCE_DIR}/knotes/knoteedit.cpp
-)
+  set(libknoteseditor_SRCS
+    ${CMAKE_SOURCE_DIR}/knotes/knoteedit.cpp
+  )
 
 ############### Now, we add the PIM components ###############
 
@@ -304,3 +290,10 @@
   add_subdirectory(libkdepim)
   add_subdirectory(calendarsupport)
   add_subdirectory(calendarviews)
+  add_subdirectory(incidenceeditor-ng)
+  add_subdirectory(libkdepimdbusinterfaces)
+  add_subdirectory(libkleo)
+  add_subdirectory(libkpgp)
+  add_subdirectory(libksieve)
+  add_subdirectory(kdgantt2)
+  add_subdirectory(icons)
