=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
  Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>,
  Michael Meskes <meskes@debian.org>, José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+Build-Depends: 
  cmake, 
  debhelper (>= 7.3.16), 
  pkg-kde-tools (>= 0.12), 
  pkg-config,
- kdelibs5-dev (>= 4:4.8.1), 
- kdepimlibs5-dev (>= 4:4.8.1), 
+ kdelibs5-dev (>= 4:4.9.2), 
+ kdepimlibs5-dev (>= 4:4.9.2), 
  libphonon-dev (>= 4:4.6.0really4.3.80),
  libgpgme11-dev, 
- libboost1.46-dev, 
- libboost-graph1.46-dev, 
+ libboost1.49-dev, 
+ libboost-graph1.49-dev, 
  libsasl2-dev,
  xsltproc, 
  libxss-dev, 
@@ -28,7 +28,7 @@
  libstrigihtmlgui-dev (>= 0.6.3), 
  libstrigiqtdbusclient-dev (>= 0.6.3), 
  zlib1g-dev,
- libakonadi-dev (>= 1.3.0), 
+ libakonadi-dev (>= 1.8.0), 
  libpisock-dev, 
  shared-desktop-ontologies (>= 0.2),
  libindicate-qt-dev (>= 0.2.5.91),
@@ -107,9 +107,9 @@
  kontact (>= ${binary:Version}), korganizer (>= ${binary:Version}),
  ktimetracker (>= ${binary:Version}),
  kdepim-strigi-plugins (>= ${binary:Version}),
- libkdepim4 (= ${binary:Version}), kdepimlibs5-dev (>= 4:4.3.80),
+ libkdepim4 (= ${binary:Version}), kdepimlibs5-dev (>= 4:4.9.2),
  libphonon-dev (>= 4:4.6.0really4.3.80),
- libgpgme11-dev, libboost1.46-dev, libboost-graph1.46-dev, libsasl2-dev, libxss-dev,
+ libgpgme11-dev, libboost1.49-dev, libboost-graph1.49-dev, libsasl2-dev, libxss-dev,
  libqca2-dev (>= 2.0.0), libpisock-dev, libassuan-dev, libstreams-dev,
  libstreamanalyzer-dev, libsearchclient-dev, libstrigihtmlgui-dev,
  libstrigiqtdbusclient-dev, zlib1g-dev, libakonadi-dev (>= 1.2.80),
