=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,6 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
 libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
 include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk
-
-# workaround for http://pad.lv/864975
-export LDFLAGS := $(filter-out %-Bsymbolic-functions,$(LDFLAGS))
 
 override_dh_auto_install:
 	$(overridden_command)
