=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  debhelper (>= 7.3.16), 
  pkg-kde-tools (>= 0.12), 
  pkg-config,
- kdelibs5-dev (>= 4:4.9.2), 
- kdepimlibs5-dev (>= 4:4.9.2), 
+ kdelibs5-dev (>= 4:4.9.4), 
+ kdepimlibs5-dev (>= 4:4.9.4), 
  libphonon-dev (>= 4:4.6.0really4.3.80),
  libgpgme11-dev, 
  libboost1.49-dev, 
@@ -107,7 +107,7 @@
  kontact (>= ${binary:Version}), korganizer (>= ${binary:Version}),
  ktimetracker (>= ${binary:Version}),
  kdepim-strigi-plugins (>= ${binary:Version}),
- libkdepim4 (= ${binary:Version}), kdepimlibs5-dev (>= 4:4.9.2),
+ libkdepim4 (= ${binary:Version}), kdepimlibs5-dev (>= 4:4.9.4),
  libphonon-dev (>= 4:4.6.0really4.3.80),
  libgpgme11-dev, libboost1.49-dev, libboost-graph1.49-dev, libsasl2-dev, libxss-dev,
  libqca2-dev (>= 2.0.0), libpisock-dev, libassuan-dev, libstreams-dev,
